• 课程 / PHP

    PHP快速操控Excel之PhpSpreadsheet

    直播班:PHP小白到大牛三个月速成!

    立即报名
    介绍章节评论课件
    老的PHPExcel已经停止更新了!目前最新的是使用phpOffice插件PhpSpreadsheet,用纯 php 编写的库,它提供了一组类,允许您读取和写入不同的电子表格文件格式!php中文网欧阳克老师原创课程!注:PHP运行环境需要PHP7.1以上
  • 难度:中级
  • 共16章节
  • 59411次播放
  • 第1章 PhpSpreadsheet介绍

    PhpSpreadsheet是什么

    04:40

    安装PhpSpreadsheet

    05:50
    第2章 PhpSpreadsheet基本操作

    获取工作薄 获取单元格

    07:33

    设置单元格

    09:31
    第3章 PhpSpreadsheet强化操作

    设置单元格样式

    07:23

    设置单元格颜色、数据类型

    10:31
    第4章 PhpSpreadsheet批量操作

    表格公式

    08:07

    合并、拆分单元格

    11:17

    设置单元格高度、宽度

    08:46
    第5章 PhpSpreadsheet工作簿

    xlsx文件下载

    06:47

    xls文件下载、设置标题

    07:00
    第6章 PhpSpreadsheet实战

    实战1

    12:18

    实战2

    06:01

    实战3

    07:09

    实战4

    13:19

    实战5

    06:16

    讲师介绍

    欧阳克
    欧阳克
    PHP开发工程师
    能学到什么:

    PhpSpreadsheet 操控电子表格

    全部评论我要评论

  • 程刚

    程刚2年前

    老师,请问视频里的公用方法库文件在哪里下载

    回复
    1

  • 王哥的小角落

    王哥的小角落2年前

    PHP运行环境要 PHP7.1以上才可以使用 不然报错 Parse error: syntax error, unexpected '.', expecting '&' or variable (T_VARIABLE) in G:\office\vendor\markbaker\complex\classes\src\operations\add.php on line 18

    回复
    1

  • 合肥php培训

    对的,php版本要7.1以上。第一堂课已经介绍了

    合肥php培训 · 2年前
  • 1年前

    老师讲的真不赖!!!!

    回复
    0

  • Mi Manchi 范范

    Mi Manchi 范范1年前

    各位,我硬生生的四个小时,来回暂停把公共类库方法打完了.有需要的Q我95866054

    回复
    0

  • Mi Manchi 范范

    Mi Manchi 范范1年前

    function方法库哪下载?我真想说php中文网.坚持做公益.真的很认真.我也很认真的学.暂停.敲一敲.结果.没有function..真良心.我终于把function敲完了.免费的才是最贵的.时间.

    回复
    0

  • 马德顺

    马德顺2年前

    为什么composer安装之后vender下phpoffice是空的,有碰到这种情况的吗?

    回复
    0

  • 常明

    常明2年前

    function方法库哪下载?

    回复
    0

  • 杢奀

    杢奀2年前

    2020-6-12 00:21:13 全部学完 毕业设计要搞一个这个功能 应该能加蛮多分

    回复
    0

  • 杢奀

    杢奀2年前

    2020-6-11 23:24:39 看了一晚上

    回复
    0

  • 杢奀

    杢奀2年前

    2020年6月11日22:40:38

    回复
    0

  • 鼠标线~

    鼠标线~2年前

    excel的格式是加密的一般文本编辑器打不开,php是怎么做到读取的呢?

    回复
    0

  • 青石板

    青石板2年前

    非常实用

    回复
    0

  • 魏万朋

    魏万朋2年前

    1.8版本是支持php5.6的,在composer时候,后面加 1.8就可以

    回复
    0

  • 云山

    云山2年前

    没有找到方法库

    回复
    0

  • 云山

    云山2年前

    你找到公用方法库没

    回复
    0

  • 取消回复发送
  • PHP中文网